package digital.laboratory.platform.inspection.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import digital.laboratory.platform.common.mybatis.base.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author xy
 * @version 1.0
 * @title TestRecordSampleSolution
 * @description 实验结果数据
 * @create 2023/12/20 11:36
 */
@Data
@TableName(value = "b_test_record_sampledata", autoResultMap = true)
@ApiModel(value = "实验中样本检测结果数据", description = "实验中样本检测结果数据")
public class TestRecordSampleData extends BaseEntity {
    private String id;

    private String testId;//实验ID，记录是哪次实验做的这个检材

    @ApiModelProperty("数据从机器中导出的唯一标识, 目前只有生物样本案件需要")
    private String name;//数据从机器中导出的唯一标识

    private String sampleNo;//样本编号

    private String compoundName;//检测的化合物(目标化合物)

    private String stdConcentration;//标准品的浓度

    private String sampleConcentration;//样本的浓度 ng/mL

    private String rtTimeWithinError;//保留时间是否在误差范围 ±1 以内

    private double targetRtTime;//目标物保留时间

    private double stdRtTime;//标准物保留时间

    private int isDetected;//是否检出目标化合物

    private String sampleType;//样本类型- QC(质控)  STD(标准品) Analyte(待测样品)

    private String dataJson;//实验数据-原始数据，以JSON的形式来存储该样本的实验数据

    private String dataResultJson;//检验数据结果

    private String compoundCnName;//检测的化合物的中文名字

    @ApiModelProperty("任务数据审核状态, 状态：\n" +
            "0 待审核，\n" +
            "1 已审核，\n" +
            "2 已审批， \n" +
            "3 已上传 \n" +
            "上传到大数据平台（仅针对任务数据, 其他业务类型的数据默认0）")
    private Integer status;

    private String getDetectedResult() {
        if (isDetected == 1) {
            return "检出" + compoundName;
        } else {
            return "未检出" + compoundName;
        }

    }


}
